import { FormControlProps } from 'react-bootstrap';
import React from 'react';
export type InputProps = React.DetailedHTMLProps<React.InputHTMLAttributes<HTMLInputElement>, HTMLInputElement> & FormControlProps & InputGroupWrapperProps & {
    validMessage?: string[];
    invalidMessage?: string[];
    countShow?: boolean;
    autoResize?: boolean;
};
export default function Input({ validMessage, invalidMessage, beforeText, afterText, onChange, countShow, autoResize, ...props }: InputProps): JSX.Element;
type InputGroupWrapperProps = {
    beforeText?: React.ReactNode[] | React.ReactNode;
    afterText?: React.ReactNode[] | React.ReactNode;
};
export {};
